Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.jdom
Interface IDOMInitializer

All Superinterfaces:
  Cloneable, IDOMMember, IDOMNode

Deprecated. The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

public interface IDOMInitializer
extends IDOMMember

Represents an initializer. The corresponding syntactic units are InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). An initializer has no children and its parent is a type.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

Method Summary
`String` | `getBody()` Deprecated. Returns the body of this initializer.
`String` | `getName()` Deprecated. The `IDOMInitializer` refinement of this `IDOMNode` method returns `null`.
`void` | `setBody(String body)` Deprecated. Sets the body of this initializer.
`void` | `setName(String name)` Deprecated. The `IDOMInitializer` refinement of this `IDOMNode` method does nothing.

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMMember
`getComment, getFlags, setComment, setFlags`

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

Method Detail

### getBody

    public String getBody()

  Deprecated.
  Returns the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7).

  Returns:
    an initializer body, including braces, or `null` if no body is present

### getName

    public String getName()

  Deprecated.
  The `IDOMInitializer` refinement of this `IDOMNode` method returns `null`. An initializer does not have a name.

  Specified by:
    `getName` in interface `IDOMNode`
  Returns:
    `null`

### setBody

    public void setBody(String body)

  Deprecated.
  Sets the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). No formatting or syntax checking is performed on the body. Braces must be included.

  Parameters:
    `body` - an initializer body, including braces, or `null` indicating no body

### setName

    public void setName(String name)

  Deprecated.
  The `IDOMInitializer` refinement of this `IDOMNode` method does nothing.

  Specified by:
    `setName` in interface `IDOMNode`
  Parameters:
    `name` - the given name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.